0.9.9 API documenation: GLM_GTC_random

| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTC_random
GTC Extensions (Stable)

Generate random number from various distribution methods. More...

## Functions
template<typename T >
GLM_FUNC_DECL tvec3< T, defaultp > | ballRand (T Radius)
| Generate a random 3D vector which coordinates are regulary distributed within the volume of a ball of a given radius. More...
template<typename T >
GLM_FUNC_DECL tvec2< T, defaultp > | circularRand (T Radius)
| Generate a random 2D vector which coordinates are regulary distributed on a circle of a given radius. More...
template<typename T >
GLM_FUNC_DECL tvec2< T, defaultp > | diskRand (T Radius)
| Generate a random 2D vector which coordinates are regulary distributed within the area of a disk of a given radius. More...
template<typename genType >
GLM_FUNC_DECL genType | gaussRand (genType Mean, genType Deviation)
| Generate random numbers in the interval [Min, Max], according a gaussian distribution. More...
template<typename genTYpe >
GLM_FUNC_DECL genTYpe | linearRand (genTYpe Min, genTYpe Max)
| Generate random numbers in the interval [Min, Max], according a linear distribution. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | linearRand (vecType< T, P > const &Min, vecType< T, P > const &Max)
| Generate random numbers in the interval [Min, Max], according a linear distribution. More...
template<typename T >
GLM_FUNC_DECL tvec3< T, defaultp > | sphericalRand (T Radius)
| Generate a random 3D vector which coordinates are regulary distributed on a sphere of a given radius. More...

## Detailed Description

Generate random number from various distribution methods.

<glm/gtc/random.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL tvec3<T, defaultp> glm::ballRand | ( | T | Radius | ) |

Generate a random 3D vector which coordinates are regulary distributed within the volume of a ball of a given radius.

Parameters

  Radius |

See also
  GLM_GTC_random

GLM_FUNC_DECL tvec2<T, defaultp> glm::circularRand | ( | T | Radius | ) |

Generate a random 2D vector which coordinates are regulary distributed on a circle of a given radius.

Parameters

  Radius |

See also
  GLM_GTC_random

GLM_FUNC_DECL tvec2<T, defaultp> glm::diskRand | ( | T | Radius | ) |

Generate a random 2D vector which coordinates are regulary distributed within the area of a disk of a given radius.

Parameters

  Radius |

See also
  GLM_GTC_random

GLM_FUNC_DECL genType glm::gaussRand | ( | genType | Mean,
|  | genType | Deviation
| ) |  |

Generate random numbers in the interval [Min, Max], according a gaussian distribution.

Parameters

  Mean |
  Deviation |

See also
  GLM_GTC_random

GLM_FUNC_DECL genTYpe glm::linearRand | ( | genTYpe | Min,
|  | genTYpe | Max
| ) |  |

Generate random numbers in the interval [Min, Max], according a linear distribution.

Parameters

  Min |
  Max |

Template Parameters

  genType | Value type. Currently supported: float or double scalars.

See also
  GLM_GTC_random

GLM_FUNC_DECL vecType<T, P> glm::linearRand | ( | vecType< T, P > const & | Min,
|  | vecType< T, P > const & | Max
| ) |  |

Generate random numbers in the interval [Min, Max], according a linear distribution.

Parameters

  Min |
  Max |

Template Parameters

  T | Value type. Currently supported: float or double.
  vecType | A vertor type: tvec1, tvec2, tvec3, tvec4 or compatible

See also
  GLM_GTC_random

GLM_FUNC_DECL tvec3<T, defaultp> glm::sphericalRand | ( | T | Radius | ) |

Generate a random 3D vector which coordinates are regulary distributed on a sphere of a given radius.

Parameters

  Radius |

See also
  GLM_GTC_random